DataPro  = class("DataPro")

function DataPro:create(...)
	self.name = {...}
	self.value = {}
	for  i=1,#self.name do
		self.value[self.name[i]] = 0
	end
	self.feather = 0
end

function DataPro:非法检测()

	return false
end

function DataPro:取特征()
	特征值 = 0
	for  i=1,#self.name do
		特征值 = 特征值 + self.value[self.name[i]]
	end
	
	return 特征值
end

function DataPro:写(变量名,值)
	self.value[变量名] = 值
	self.feather = self:取特征()
end

function DataPro:增减(变量名,增减)
	self.value[变量名] = self.value[变量名] + 增减
	self.feather = self:取特征()
end

function DataPro:读(变量名)
	return self.value[变量名]
end
